using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace CMSMicroservice.Infrastructure.Persistence.Migrations
{
    /// <inheritdoc />
    public partial class AddProcessedByToWithdrawal : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<DateTime>(
                name: "ProcessedAt",
                schema: "CMS",
                table: "UserCommissionPayouts",
                type: "datetime2",
                nullable: true);

            migrationBuilder.AddColumn<string>(
                name: "ProcessedBy",
                schema: "CMS",
                table: "UserCommissionPayouts",
                type: "nvarchar(200)",
                maxLength: 200,
                nullable: true);

            migrationBuilder.AddColumn<string>(
                name: "RejectionReason",
                schema: "CMS",
                table: "UserCommissionPayouts",
                type: "nvarchar(500)",
                maxLength: 500,
                nullable: true);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "ProcessedAt",
                schema: "CMS",
                table: "UserCommissionPayouts");

            migrationBuilder.DropColumn(
                name: "ProcessedBy",
                schema: "CMS",
                table: "UserCommissionPayouts");

            migrationBuilder.DropColumn(
                name: "RejectionReason",
                schema: "CMS",
                table: "UserCommissionPayouts");
        }
    }
}
